searchData={"content_type":"text/markdown","items":[{"doc":"CountryCodeConverter is a module for converting iso2 / iso3 / ioc country codes.\n\nIt can get a country codes for some particular iso code:\n\n    iex> {:ok, countries} = CountryCodeConverter.countries(:iso2)\n    iex> Enum.member?(countries, \"BR\")\n    true\n\nYou can also convert one code to another:\n\n    iex> CountryCodeConverter.convert(:iso2, \"BR\")\n    {:ok, %{iso2: \"BR\", iso3: \"BRA\", ioc: \"BRA\"}}","ref":"CountryCodeConverter.html","title":"CountryCodeConverter","type":"module"},{"doc":"Converts provided code to all 3 types: iso2, iso3 and ioc.\nReturns `{:ok, %{iso2: binary(), iso3: binary(), ioc: binary()}}` or `{:error, binary()}`.","ref":"CountryCodeConverter.html#convert/2","title":"CountryCodeConverter.convert/2","type":"function"},{"doc":"- iso: ISO code, can be one of [:iso2, :iso3, :ioc]\n  - code: code of country in provided ISO, in e.g. (\"BRA\")","ref":"CountryCodeConverter.html#convert/2-parameters","title":"Parameters - CountryCodeConverter.convert/2","type":"function"},{"doc":"iex> CountryCodeConverter.convert(:iso2, \"BR\")\n    {:ok, %{iso2: \"BR\", iso3: \"BRA\", ioc: \"BRA\"}}","ref":"CountryCodeConverter.html#convert/2-examples","title":"Examples - CountryCodeConverter.convert/2","type":"function"},{"doc":"Return a country list for a given iso code.\n\nReturns `{:ok, [binary()]}` or `{:error, binary()}`.","ref":"CountryCodeConverter.html#countries/1","title":"CountryCodeConverter.countries/1","type":"function"},{"doc":"- iso: ISO code, can be one of [:iso2, :iso3, :ioc]","ref":"CountryCodeConverter.html#countries/1-parameters","title":"Parameters - CountryCodeConverter.countries/1","type":"function"},{"doc":"iex> {:ok, countries} = CountryCodeConverter.countries(:iso2)\n    iex> Enum.member?(countries, \"BR\")\n    true","ref":"CountryCodeConverter.html#countries/1-examples","title":"Examples - CountryCodeConverter.countries/1","type":"function"},{"doc":"","ref":"CountryCodeConverter.html#t:code/0","title":"CountryCodeConverter.code/0","type":"type"},{"doc":"","ref":"CountryCodeConverter.html#t:res/0","title":"CountryCodeConverter.res/0","type":"type"}]}